Bug 177360 - [patch] net-im/twirssi: Allow installation with development irssi port
Summary: [patch] net-im/twirssi: Allow installation with development irssi port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-24 23:50 UTC by Glen Barber
Modified: 2013-03-27 22:00 UTC (History)
0 users

See Also:


Attachments
file.diff (1.10 KB, patch)
2013-03-24 23:50 UTC, Glen Barber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Glen Barber freebsd_committer 2013-03-24 23:50:00 UTC
net-im/twirssi forces irc/irssi port, while it also works well with irc/irssi-devel port.  Add OPTIONS entries to allow selection of development branch of irssi.

Fix: Patch attached.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-03-24 23:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-03-25 10:22:21 UTC
Author: garga
Date: Mon Mar 25 10:22:14 2013
New Revision: 315212
URL: http://svnweb.freebsd.org/changeset/ports/315212

Log:
  Allow twirssi to use development version of irssi
  
  PR:		ports/177360
  Submitted by:	gjb@

Modified:
  head/net-im/twirssi/Makefile

Modified: head/net-im/twirssi/Makefile
==============================================================================
--- head/net-im/twirssi/Makefile	Mon Mar 25 10:17:40 2013	(r315211)
+++ head/net-im/twirssi/Makefile	Mon Mar 25 10:22:14 2013	(r315212)
@@ -10,11 +10,26 @@ EXTRACT_ONLY=
 MAINTAINER=	garga@FreeBSD.org
 COMMENT=	Twitter script to irssi
 
-RUN_DEPENDS=	irssi:${PORTSDIR}/irc/irssi \
-		p5-Net-Twitter>=0:${PORTSDIR}/net/p5-Net-Twitter \
+RUN_DEPENDS=	p5-Net-Twitter>=0:${PORTSDIR}/net/p5-Net-Twitter \
 		p5-WWW-Shorten>=0:${PORTSDIR}/www/p5-WWW-Shorten \
 		p5-WWW-Shorten-Bitly>=0:${PORTSDIR}/www/p5-WWW-Shorten-Bitly
 
+OPTIONS_SINGLE=	IRSSIVER
+OPTIONS_SINGLE_IRSSIVER=PROD DEVEL
+OPTIONS_DEFAULT=PROD
+PROD_DESC=	Use production irc/irssi port
+DEVEL_DESC=	Use development irc/irssi-devel port
+
+.include <bsd.port.pre.mk>
+
+.if ${PORT_OPTIONS:MPROD}
+RUN_DEPENDS+=	irssi:${PORTSDIR}/irc/irssi
+.endif
+
+.if ${PORT_OPTIONS:MPROD}
+RUN_DEPENDS+=	irssi:${PORTSDIR}/irc/irssi-devel
+.endif
+
 SUB_FILES=	pkg-message
 
 NO_BUILD=	yes
@@ -31,4 +46,4 @@ do-install:
 	@${INSTALL_SCRIPT} -v ${WRKSRC}/${PORTNAME}.pl ${DATADIR}
 	@${CAT} ${PKGMESSAGE}
 
-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Renato Botelho freebsd_committer 2013-03-25 10:22:27 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-03-27 21:57:50 UTC
Author: gjb
Date: Wed Mar 27 21:57:42 2013
New Revision: 315417
URL: http://svnweb.freebsd.org/changeset/ports/315417

Log:
  Fix PORT_OPTIONS check for 'DEVEL'.
  
  PR:		ports/177360
  Pointyhat:	gjb (myself)
  Approved by:	garga (maintainer, implicit)

Modified:
  head/net-im/twirssi/Makefile

Modified: head/net-im/twirssi/Makefile
==============================================================================
--- head/net-im/twirssi/Makefile	Wed Mar 27 21:24:24 2013	(r315416)
+++ head/net-im/twirssi/Makefile	Wed Mar 27 21:57:42 2013	(r315417)
@@ -2,6 +2,7 @@
 
 PORTNAME=	twirssi
 PORTVERSION=	2.5.1
+PORTREVISION=	1
 CATEGORIES=	net-im
 MASTER_SITES=	http://twirssi.com/
 EXTRACT_SUFX=	.pl
@@ -26,7 +27,7 @@ DEVEL_DESC=	Use development irc/irssi-de
 RUN_DEPENDS+=	irssi:${PORTSDIR}/irc/irssi
 .endif
 
-.if ${PORT_OPTIONS:MPROD}
+.if ${PORT_OPTIONS:MDEVEL}
 RUN_DEPENDS+=	irssi:${PORTSDIR}/irc/irssi-devel
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"